Subject: Re: What's cooking in git.git (Aug 2021, #04; Tue, 10)

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Aug 2021 09:13:23 -0700

Carlo Marcelo Arenas Belón <[email-masked]> writes:

> On Tue, Aug 10, 2021 at 06:12:41PM -0700, Junio C Hamano wrote:
>> 
>> * cb/ci-build-pedantic (2021-08-09) 1 commit
>>  - ci: run a pedantic build as part of the GitHub workflow
>>  (this branch uses cb/many-alternate-optim-fixup.)
>> 
>>  CI update.
>> 
>>  Will merge to 'next'.
>
> this version has the bug you reported[1] and provided a fix for
> because the base image doesn't include git, and while the bug is
> harmless it is still silly enough that should be worth fixing
> before going to next IMHO..

Will mark it as "expecting a reroll".  I do not think we are in a
hurry for this step, even though, as I said, we would probably want
to have the two other changes in the upcoming release.

> I was preparing a version 2 reroll that included the tests, as
> you suggested, which I was also planning to make a little more
> useful by including other test dependencies missing from other jobs.
>
> on that line, I also forgot to build with PCRE, which was the reason
> why it was included as a dependency, and that has been corrected as
> well; alternatively it could be removed and make the job slightly faster.

Sounds good.  We are not in a hurry for anything that may go into
'next' at this stage.  A version that you think will help us start
the cycle after this one well would be desirable.

Thanks.